# swagger-codegen

Simple packaging for [swagger-codegen](https://github.com/swagger-api/swagger-codegen). This is a Java application that can generate an API client from a Swagger/OpenAPI spec. The official install instructions are to wget a `.jar` from the internet. Wgetting binaries isn't always appropriate and we don't like putting big blobs in our configuration management. For that reason this simple packaged repository exists.

This packaging packages the latest `.jar` from the 2.x.x branch.

## Looks like

```
# dpkg -S swagger-codegen
swagger-codegen: /usr/share/doc/swagger-codegen/changelog.gz
swagger-codegen: /usr/share/java/swagger-codegen-cli.jar
swagger-codegen: /usr/share/doc/swagger-codegen
swagger-codegen: /usr/share/doc/swagger-codegen/README.md
```

## Updating

If you ever need to update this package, see `download-swagger-codegen.sh`. Update the download URL with a new version and also update the hash.

## Building the package

To build a deb for this project run:

```
# apt-get install debhelper cowbuilder git-buildpackage
# export ARCH=amd64
# export DIST=buster
# cowbuilder --create --distribution buster --architecture amd64 --basepath /var/cache/pbuilder/base-$DIST-amd64.cow --mirror http://ftp.debian.org/debian/ --components=main
# echo "USENETWORK=yes" > ~/.pbuilderrc
# git clone https://github.com/ByteInternet/swagger-codegen
# cd masquerade
# gbp buildpackage --git-pbuilder --git-dist=$DIST --git-arch=$ARCH --git-ignore-branch -us -uc -sa --git-ignore-new
```

To generate a new `debian/changelog` for a new release:
```
export BRANCH=master
export VERSION=$(date "+%Y%m%d.%H%M%S")
gbp dch --debian-tag="%(version)s" --new-version=$VERSION --debian-branch $BRANCH --release --commit
```

Or use the `mark-release.sh` script.
